pkgname=lunaos-settings
pkgver=.
pkgrel=1
arch=('any')
makedepends=('coreutils')
pkgdesc='LunaOS performance tweaks'
source=("git+https://gitlab.com/LunaOS/iso/$pkgname")
install=$pkgname.install
sha256sums=('SKIP')
depends=('dbus-broker-units' 'dbus-broker' 'pciutils' 'memavaild' 'uresourced' 'prelockd' 'hdparm' 'pipewire' 'sg3_utils' 'scx-scheds' 'micro')
optdepends=(
    'lunaos-zram-defaults: Config for Zram'
    'nvidia-tweaks: Tweaks and improvements to the NVIDIA driver'
    'lunaos-settings-handheld: Settings for HandHeld devices'
)
conflicts=("pro-audio-support")
replaces=("pro-audio-support")
provides=("pro-audio-support")
backup=(etc/doas.conf
		etc/scx_loader/config.toml)

pkgver() {
  cd "$pkgname"
  printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

package() {
  mkdir "$pkgdir/etc"
  cp -rf "$srcdir/$pkgname/etc" "$pkgdir/"

  mkdir "$pkgdir/usr"
  cp -rf "$srcdir/$pkgname/usr" "$pkgdir/"

  chown -c root:root $pkgdir/etc/doas.conf
  chmod -c 0400 $pkgdir/etc/doas.conf
}
